import java.util.Scanner;
import java.util.Arrays;
public class freelancers {
	public static void main(String[] args) {
		System.out.println("a");
		Scanner s = new Scanner(System.in);
		int n= s.nextInt();
		double[]F=new double[n];
		double[]P=new double[n];
		double[]T=new double[n];
		for(int i=0;i<n;i++) {
			F[i]=s.nextDouble();
			P[i]=s.nextDouble()/100;
			T[i]=0;
		}
		for(int i=0;i<n;i++) {
			for(int j=0;j<n;j++) {
				if(P[i]<=P[j])T[i]+=F[j]*P[i];
			}
		}
		Arrays.sort(T);
		System.out.println(T[n-1]);
		
		
		
	}
}